NamedParameter (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.NamedParameter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap
Class NamedParameter

    java.lang.Object
      org.mule.transport.soap.NamedParameter

    public class NamedParameter

extends Object

Representation of a Named parameter in a SOAP call

Field Summary
`int` | `MODE_IN`
`int` | `MODE_INOUT`
`int` | `MODE_OUT`
`static String` | `URI_1999_SCHEMA_XSD`
`static String` | `URI_2000_SCHEMA_XSD`
`static String` | `URI_2001_SCHEMA_XSD`
`static String` | `URI_DEFAULT_SCHEMA_XSD`
`static QName` | `XSD_ANY`
`static QName` | `XSD_ANYSIMPLETYPE`
`static QName` | `XSD_ANYTYPE`
`static QName` | `XSD_ANYURI`
`static QName` | `XSD_BASE64`
`static QName` | `XSD_BOOLEAN`
`static QName` | `XSD_BYTE`
`static QName` | `XSD_DATE`
`static QName` | `XSD_DATETIME`
`static QName` | `XSD_DAY`
`static QName` | `XSD_DECIMAL`
`static QName` | `XSD_DOUBLE`
`static QName` | `XSD_DURATION`
`static QName` | `XSD_ENTITIES`
`static QName` | `XSD_ENTITY`
`static QName` | `XSD_FLOAT`
`static QName` | `XSD_HEXBIN`
`static QName` | `XSD_ID`
`static QName` | `XSD_IDREF`
`static QName` | `XSD_IDREFS`
`static QName` | `XSD_INT`
`static QName` | `XSD_INTEGER`
`static QName` | `XSD_LANGUAGE`
`static QName` | `XSD_LONG`
`static QName` | `XSD_MONTH`
`static QName` | `XSD_MONTHDAY`
`static QName` | `XSD_NAME`
`static QName` | `XSD_NCNAME`
`static QName` | `XSD_NEGATIVEINTEGER`
`static QName` | `XSD_NMTOKEN`
`static QName` | `XSD_NMTOKENS`
`static QName` | `XSD_NONNEGATIVEINTEGER`
`static QName` | `XSD_NONPOSITIVEINTEGER`
`static QName` | `XSD_NORMALIZEDSTRING`
`static QName` | `XSD_NOTATION`
`static QName` | `XSD_POSITIVEINTEGER`
`static QName` | `XSD_QNAME`
`static QName` | `XSD_SCHEMA`
`static QName` | `XSD_SHORT`
`static QName` | `XSD_STRING`
`static QName` | `XSD_TIME`
`static QName` | `XSD_TIMEINSTANT1999`
`static QName` | `XSD_TIMEINSTANT2000`
`static QName` | `XSD_TOKEN`
`static QName` | `XSD_UNSIGNEDBYTE`
`static QName` | `XSD_UNSIGNEDINT`
`static QName` | `XSD_UNSIGNEDLONG`
`static QName` | `XSD_UNSIGNEDSHORT`
`static QName` | `XSD_YEAR`
`static QName` | `XSD_YEARMONTH`

Constructor Summary
`NamedParameter(QName name, QName type, javax.xml.rpc.ParameterMode mode)`
`NamedParameter(QName name, QName type, String mode)`
`NamedParameter(String name, String type, javax.xml.rpc.ParameterMode mode)`

Method Summary
`static QName` | `createQName(String value)`
`javax.xml.rpc.ParameterMode` | `getMode()`
`QName` | `getName()`
`QName` | `getType()`
`protected void` | `setMode(String mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_IN

    public final int MODE_IN

See Also:
  Constant Field Values

### MODE_OUT

    public final int MODE_OUT

See Also:
  Constant Field Values

### MODE_INOUT

    public final int MODE_INOUT

See Also:
  Constant Field Values

### URI_1999_SCHEMA_XSD

    public static final String URI_1999_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2000_SCHEMA_XSD

    public static final String URI_2000_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_2001_SCHEMA_XSD

    public static final String URI_2001_SCHEMA_XSD

See Also:
  Constant Field Values

### URI_DEFAULT_SCHEMA_XSD

    public static final String URI_DEFAULT_SCHEMA_XSD

See Also:
  Constant Field Values

### XSD_STRING

    public static final QName XSD_STRING

### XSD_BOOLEAN

    public static final QName XSD_BOOLEAN

### XSD_DOUBLE

    public static final QName XSD_DOUBLE

### XSD_FLOAT

    public static final QName XSD_FLOAT

### XSD_INT

    public static final QName XSD_INT

### XSD_INTEGER

    public static final QName XSD_INTEGER

### XSD_LONG

    public static final QName XSD_LONG

### XSD_SHORT

    public static final QName XSD_SHORT

### XSD_BYTE

    public static final QName XSD_BYTE

### XSD_DECIMAL

    public static final QName XSD_DECIMAL

### XSD_BASE64

    public static final QName XSD_BASE64

### XSD_HEXBIN

    public static final QName XSD_HEXBIN

### XSD_ANYSIMPLETYPE

    public static final QName XSD_ANYSIMPLETYPE

### XSD_ANYTYPE

    public static final QName XSD_ANYTYPE

### XSD_ANY

    public static final QName XSD_ANY

### XSD_QNAME

    public static final QName XSD_QNAME

### XSD_DATETIME

    public static final QName XSD_DATETIME

### XSD_DATE

    public static final QName XSD_DATE

### XSD_TIME

    public static final QName XSD_TIME

### XSD_TIMEINSTANT1999

    public static final QName XSD_TIMEINSTANT1999

### XSD_TIMEINSTANT2000

    public static final QName XSD_TIMEINSTANT2000

### XSD_NORMALIZEDSTRING

    public static final QName XSD_NORMALIZEDSTRING

### XSD_TOKEN

    public static final QName XSD_TOKEN

### XSD_UNSIGNEDLONG

    public static final QName XSD_UNSIGNEDLONG

### XSD_UNSIGNEDINT

    public static final QName XSD_UNSIGNEDINT

### XSD_UNSIGNEDSHORT

    public static final QName XSD_UNSIGNEDSHORT

### XSD_UNSIGNEDBYTE

    public static final QName XSD_UNSIGNEDBYTE

### XSD_POSITIVEINTEGER

    public static final QName XSD_POSITIVEINTEGER

### XSD_NEGATIVEINTEGER

    public static final QName XSD_NEGATIVEINTEGER

### XSD_NONNEGATIVEINTEGER

    public static final QName XSD_NONNEGATIVEINTEGER

### XSD_NONPOSITIVEINTEGER

    public static final QName XSD_NONPOSITIVEINTEGER

### XSD_YEARMONTH

    public static final QName XSD_YEARMONTH

### XSD_MONTHDAY

    public static final QName XSD_MONTHDAY

### XSD_YEAR

    public static final QName XSD_YEAR

### XSD_MONTH

    public static final QName XSD_MONTH

### XSD_DAY

    public static final QName XSD_DAY

### XSD_DURATION

    public static final QName XSD_DURATION

### XSD_NAME

    public static final QName XSD_NAME

### XSD_NCNAME

    public static final QName XSD_NCNAME

### XSD_NMTOKEN

    public static final QName XSD_NMTOKEN

### XSD_NMTOKENS

    public static final QName XSD_NMTOKENS

### XSD_NOTATION

    public static final QName XSD_NOTATION

### XSD_ENTITY

    public static final QName XSD_ENTITY

### XSD_ENTITIES

    public static final QName XSD_ENTITIES

### XSD_IDREF

    public static final QName XSD_IDREF

### XSD_IDREFS

    public static final QName XSD_IDREFS

### XSD_ANYURI

    public static final QName XSD_ANYURI

### XSD_LANGUAGE

    public static final QName XSD_LANGUAGE

### XSD_ID

    public static final QName XSD_ID

### XSD_SCHEMA

    public static final QName XSD_SCHEMA

Constructor Detail

### NamedParameter

    public NamedParameter(QName name,
                          QName type,
                          String mode)

### NamedParameter

    public NamedParameter(QName name,
                          QName type,
                          javax.xml.rpc.ParameterMode mode)

### NamedParameter

    public NamedParameter(String name,
                          String type,
                          javax.xml.rpc.ParameterMode mode)

Method Detail

### setMode

    protected void setMode(String mode)

### getName

    public QName getName()

### getType

    public QName getType()

### getMode

    public javax.xml.rpc.ParameterMode getMode()

### createQName

    public static QName createQName(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.